Skip to main content
GET
/
v1
/
entities
/
{id}
/
recommendations
List recommendations for an entity
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcmira.com/v1/entities/{id}/recommendations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.arcmira.com/v1/entities/{id}/recommendations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.arcmira.com/v1/entities/{id}/recommendations \
--header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "recommendation_id": 123,
      "mention_class": "<string>",
      "entity": {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>"
      },
      "media": {
        "video_id": "<string>",
        "title": "<string>",
        "published_at": "<string>",
        "channel_id": "<string>",
        "source_channel": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "start_timestamp": "<string>",
      "end_timestamp": "<string>",
      "start_seconds": 123,
      "end_seconds": 123,
      "verbatim_quote": "<string>",
      "promo_code": "<string>",
      "offer": "<string>",
      "sentiment": 123,
      "sentiment_score": 123,
      "confidence": 123,
      "speaker_role": "<string>",
      "conflict_status": "<string>",
      "resolution": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "entity": {
    "id": "<string>",
    "numeric_id": 123,
    "canonical_id": "<string>",
    "name": "<string>",
    "type": "<string>",
    "platform": "<string>",
    "url": "<string>",
    "image_url": "<string>",
    "image_checked_at": "<string>",
    "owner_entity_id": "<string>",
    "is_canonical": true,
    "merged_from_id": "<string>",
    "route": "<string>",
    "appearance_count": 0
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string
channel_id
string
channel_name
string
mention_class
enum<string>
default:all
Available options:
ad_read,
endorsement,
mention,
all
min_confidence
number | null
default:0.7
Required range: 0 <= x <= 1
date_from
string
date_to
string
include_disputed
boolean

Response

Success

data
object[]
required
has_more
boolean
required

True when more rows exist past this page.

next_cursor
string | null
required

Opaque cursor for the next page. Null on the last page.

entity
object
required

The resolved entity the recommendations belong to.